configfile: 'config.yaml'

rule microorganisms:
    output:
        config['OUTDIR'] + '/taxa+id_microorganisms.txt'

    input:
        full=config['OUTDIR'] + '/taxa+id_full.txt',
        roots='microorganisms-roots'

    shell:
        '''./cut-root.py {input.roots}/* <{input.full} >{output}'''


rule full:
    output:
        config['OUTDIR'] + '/taxa+id_full.txt'

    input:
        config['OUTDIR'] + '/' + config['DSMZ_MATCH_DIR']

    shell:
        '''{config[REWRITE_TAXONOMY]} -namesFile {config[NCBI_DIR]}/names.dmp -namesFile {input}/dsmz-names.dmp  -prefix ncbi: -rejectionFile reject.txt -saturationFile saturate.txt -pattern '{{NAME}}\t{{TAXID}}\t{{CANONICAL}}\t{{TAXID_PATH}}\t{{POS_TAG}}\t{{RANK}}\t{{SPECIES_TAXID}}\t{{SPECIES_NAME}}\n' {config[NCBI_DIR]}/nodes.dmp {input}/dsmz-nodes.dmp >{output}'''
